LibreOffice: SingleBackend Service Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Exported Interfaces | List of all members
SingleBackend Service Referencepublished

is a configuration storage backends containing a complete configuration database, including user data, default or policy layers and schemata. More...

`import"SingleBackend.idl";`

Inheritance diagram for SingleBackend:

## Exported Interfaces
interface | XSchemaSupplier
| provides access to configuration schemas. More...
interface | XMultiLayerStratum
| provides access to the layer data. More...
interface | XBackendEntities
| provides information about supported and special entities. More...

## Additional Inherited Members
Public Member Functions inherited from XSchemaSupplier
XSchema | getComponentSchema ([in] string aComponent) raises (BackendAccessException, com::sun::star::lang::IllegalArgumentException)
| Returns the schema information (component + templates) for a particular component. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XMultiLayerStratum
sequence< string > | listLayerIds ([in] string aComponent, [in] string aEntity) raises (BackendAccessException, com::sun::star::lang::IllegalArgumentException)
| identifies the layers within this stratum which should be read and merged to determine data of a component for an entity More...
string | getUpdateLayerId ([in] string aComponent, [in] string aEntity) raises (BackendAccessException, com::sun::star::lang::NoSupportException, com::sun::star::lang::IllegalArgumentException)
| identifies the layer which should be modified to update data of a component on behalf of an entity. More...
XLayer | getLayer ([in] string aLayerId, [in] string aTimestamp) raises (BackendAccessException, com::sun::star::lang::IllegalArgumentException)
| retrieves a layer associated to a layer id, if newer than indicated. More...
sequence< XLayer > | getLayers ([in] sequence< string > aLayerIds, [in] string aTimestamp) raises (BackendAccessException, com::sun::star::lang::IllegalArgumentException)
| retrieves the layers associated to a series of layer ids, if newer than indicated. More...
sequence< XLayer > | getMultipleLayers ([in] sequence< string > aLayerIds, [in] sequence< string > aTimestamps) raises (BackendAccessException, com::sun::star::lang::IllegalArgumentException)
| retrieves the layers associated to a series of layer ids, if newer than indicated for each layer. More...
XUpdatableLayer | getUpdatableLayer ([in] string aLayerId) raises (BackendAccessException, com::sun::star::lang::NoSupportException, com::sun::star::lang::IllegalArgumentException)
| retrieves a writable representation of the layer associated to a layer id. More...
Public Member Functions inherited from XBackendEntities
string | getOwnerEntity ()
| provides the entity id of the owner entity of the backend. More...
string | getAdminEntity ()
| provides the entity id of an entity for general administrative access. More...
boolean | supportsEntity ([in] string aEntity) raises ( BackendAccessException )
| determines, if a given entity id exists in this backend. More...
boolean | isEqualEntity ([in] string aEntity, [in] string aOtherEntity) raises ( BackendAccessException, com::sun::star::lang::IllegalArgumentException)
| determines, if two given entity ids denote the same entity. More...

## Detailed Description

is a configuration storage backends containing a complete configuration database, including user data, default or policy layers and schemata.

Configuration data is organized into layers which are selected by components and entities.

Components are characterized by configuration schemas. A component contains configuration data for a particular application domain or software module.

Entities are organized hierarchically in organizations, groups, roles and individual users. Each element of the associated hierarchy corresponds to a layer that applies to an entity.

Layers contains data for multiple components associated to a single entity.

Since
  OOo 1.1.2

## Exported Interfaces

## ◆ XBackendEntities

interface XBackendEntities

provides information about supported and special entities.

## ◆ XMultiLayerStratum

interface XMultiLayerStratum

provides access to the layer data.

## ◆ XSchemaSupplier

interface XSchemaSupplier

provides access to configuration schemas.

The documentation for this service was generated from the following file:

- com/sun/star/configuration/backend/SingleBackend.idl